SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004781SOGoWeb Mailpublic2019-07-12 11:082019-08-01 11:19
ReporterEslam.Basyouni 
Assigned Toludovic 
PriorityhighSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Platform[Server] LinuxOSRHEL/CentOSOS Version7
Product Version4.0.7 
Target VersionFixed in Version4.1.0 
Summary0004781: Bug with Solution of Encoding of Arabic (Windows-1256) Not Work
DescriptionDears, I faced a problem in emails in Arabic and which it send from Exchange outlook or from Microsoft OWA like hotmail.com or Outlook.com to my email in sogo where it's contain bad character which it's not belong to Arabic ,
I think it's something related to encoding because I had send the same message from outlook after I change the encoding of outlook from Arabic (windows) to UTF-8 , and I send it again and there is no problem , after more troubleshoot Eng. Christian M. Jensen solved the problem by adding patch to source and recompile
I did the same and test and everything is working fine , so kindly add this configuration to be added in the next version, from other side if you can help me to any file or any update to the current version without using compiling the source.
The attach files show more info, big thanks to Eng. Christian M. Jensen
TagsNo tags attached.
Attached Filesrar file icon Arabic issue.rar [^] (92,035 bytes) 2019-07-12 11:08
tar file icon MailPartViewers.SOGo.tar [^] (522,240 bytes) 2019-07-13 13:33

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0013670)
Eslam.Basyouni (reporter)
2019-07-13 13:32

Dears,

i get the final configuration that can solved my problem by the following:

  copy MailPartViewers.SOGo.tar from your pc to /usr/lib64/GNUstep/SOGo/

  cd /usr/lib64/GNUstep/SOGo/

  mv MailPartViewers.SOGo MailPartViewers.SOGo.backup

  tar -xf MailPartViewers.SOGo.tar
  systemctl restart sogod

  systemctl restart memcached
(0013680)
Eslam.Basyouni (reporter)
2019-07-26 16:35

Dears the problem is solved i need to confirm and add the code the source

- Related Changesets
sogo: master 849c3430
Timestamp: 2019-08-01 11:15:17
Author: ludovic
Details ] Diff ]
(fix) properly handle Windows-1256 charaset (fixes 0004781)
mod - NEWS Diff ] File ]
mod - UI/MailPartViewers/UIxMailPartHTMLViewer.m Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-07-12 11:08 Eslam.Basyouni New Issue
2019-07-12 11:08 Eslam.Basyouni File Added: Arabic issue.rar
2019-07-13 13:32 Eslam.Basyouni Note Added: 0013670
2019-07-13 13:33 Eslam.Basyouni File Added: MailPartViewers.SOGo.tar
2019-07-26 16:35 Eslam.Basyouni Note Added: 0013680
2019-08-01 11:19 ludovic Changeset attached => sogo master 849c3430
2019-08-01 11:19 ludovic Assigned To => ludovic
2019-08-01 11:19 ludovic Resolution open => fixed
2019-08-01 11:19 ludovic Status new => resolved
2019-08-01 11:19 ludovic Fixed in Version => 4.1.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker